Package javax.media.j3d

# Class DanglingReferenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.DanglingReferenceException

All Implemented Interfaces:
  `Serializable`

public class DanglingReferenceException extends RuntimeException
During a `cloneTree` call an updated reference was requested for a node that did not get cloned. This happens when a sub-graph is duplicated via `cloneTree` and has at least one Leaf node that contains a reference to a Node that has no corresponding node in the cloned sub-graph. This results in two Leaf nodes wanting to share access to the same Node.

If dangling references are to be allowed during the cloneTree call, `cloneTree` should be called with the `allowDanglingReferences` parameter set to `true`.

See Also:
  - `Node.cloneTree()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DanglingReferenceException()`
Create the exception object with default values.
`DanglingReferenceException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DanglingReferenceException

public DanglingReferenceException()
Create the exception object with default values.

### DanglingReferenceException

public DanglingReferenceException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.